# Class Dropdown

## Index

### Methods

- build
- getElement
- getValue
- reset
- select
- setValue

### Constructors

- constructor

## Methods

### build

- build(): HTMLElement

- - Defined in ui/FormWidgets/Dropdown.ts :82

  #### Returns HTMLElement

  The dropdown element.

### getElement

- getElement(): HTMLElement

- - Defined in ui/FormWidgets/Dropdown.ts :56

  #### Returns HTMLElement

  The dropdown element.

### getValue

- getValue(): string

- - Defined in ui/FormWidgets/Dropdown.ts :64

  #### Returns string

  The currently selected dropdown value.

### reset

- reset(): void

- - Defined in ui/FormWidgets/Dropdown.ts :44

  #### Returns void

### select

- select(index: number, executeOnChange?: boolean): void

- - Defined in ui/FormWidgets/Dropdown.ts :74

  #### Parameters

  - ##### index: number

  - ##### Default value executeOnChange: boolean = true

  #### Returns void

### setValue

- setValue(value: string): void

- - Defined in ui/FormWidgets/Dropdown.ts :90

  #### Parameters

  - ##### value: string

  #### Returns void

## Constructors

### constructor

- new Dropdown(onChange?: function, listOfValues: string[], getDisplayValue?: function, label?: string): Dropdown

- - Defined in ui/FormWidgets/Dropdown.ts :19

  #### Parameters

  - ##### Default value onChange: function = (dropdown: Dropdown) => {}

    - - (dropdown: Dropdown): void

      - #### Parameters

        - ##### dropdown: Dropdown

        #### Returns void

  - ##### listOfValues: string[]

  - ##### Default value getDisplayValue: function = l

    - - (string: any): string

      - #### Parameters

        - ##### string: any

        #### Returns string

  - ##### Optional label: string

  #### Returns Dropdown

### Hierarchy

- Dropdown

### Implements

- IFormWidget
- IFormWidgetSettable